Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class LoadMask

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.LoadMask

    public class LoadMask

extends JsObject

A simple utility class for generically masking elements while loading data. If the element being masked has an underlying `Store`, the masking will be automatically synchronized with the store's loading process and the mask element will be cached for reuse. For all other elements, this mask will replace the element's UpdateManager load indicator and will be destroyed after the initial load.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`LoadMask(com.google.gwt.user.client.Element element, java.lang.String message)` Create a new LoadMask.
`LoadMask(com.google.gwt.user.client.Element element, java.lang.String message, java.lang.String messageCls, boolean removeMask)` Create a new LoadMask.
`LoadMask(com.google.gwt.user.client.Element element, java.lang.String message, java.lang.String messageCls, boolean removeMask, Store store)` Create a new LoadMask.
`LoadMask(java.lang.String id, java.lang.String message)` Create a new LoadMask.
`LoadMask(java.lang.String id, java.lang.String message, java.lang.String messageCls, boolean removeMask)` Create a new LoadMask.
`LoadMask(java.lang.String id, java.lang.String message, java.lang.String messageCls, boolean removeMask, Store store)` Create a new LoadMask.

Method Summary
`void` | `disable()` Disables the mask to prevent it from being displayed.
`void` | `enable()` Enables the mask so that it can be displayed.
`java.lang.String` | `getMessage()` The text to display in a centered loading message box (defaults to 'Loading...').
`java.lang.String` | `getMessageCls()` The CSS class to apply to the loading message element (defaults to "x-mask-loading").
`void` | `hide()` Hide this LoadMask.
`boolean` | `isDisabled()` True if the mask is currently disabled so that it will not be displayed (defaults to false)
`boolean` | `isRemoveMask()` True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to persist the mask element reference for multiple uses (e.g., for paged data widgets).
`void` | `show()` Show this LoadMask over the configured Element.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadMask

    public LoadMask(com.google.gwt.user.client.Element element,
                    java.lang.String message)

  Create a new LoadMask.

  Parameters:
    `element` - the element to mask
    `message` - the text to display in a centered loading message box

### LoadMask

    public LoadMask(com.google.gwt.user.client.Element element,
                    java.lang.String message,
                    java.lang.String messageCls,
                    boolean removeMask)

  Create a new LoadMask.

  Parameters:
    `element` - the element to mask
    `message` - the text to display in a centered loading message box
    `messageCls` - the CSS class to apply to the loading message element (defaults to "x-mask-loading").
    `removeMask` - true to create a single-use mask that is automatically destroyed after loading (useful for page loads), false to persist the mask element reference for multiple uses (e.g., for paged data widgets).

### LoadMask

    public LoadMask(com.google.gwt.user.client.Element element,
                    java.lang.String message,
                    java.lang.String messageCls,
                    boolean removeMask,
                    Store store)

  Create a new LoadMask.

  Parameters:
    `element` - the element to mask
    `message` - the text to display in a centered loading message box
    `messageCls` - the CSS class to apply to the loading message element (defaults to "x-mask-loading").
    `removeMask` - true to create a single-use mask that is automatically destroyed after loading (useful for page loads), false to persist the mask element reference for multiple uses (e.g., for paged data widgets).
    `store` - the store to which the mask is bound. The mask is displayed when a load request is issued, and hidden on either load sucess, or load fail.

### LoadMask

    public LoadMask(java.lang.String id,
                    java.lang.String message)

  Create a new LoadMask.

  Parameters:
    `id` - the element ID to mask
    `message` - the text to display in a centered loading message box

### LoadMask

    public LoadMask(java.lang.String id,
                    java.lang.String message,
                    java.lang.String messageCls,
                    boolean removeMask)

  Create a new LoadMask.

  Parameters:
    `id` - the element ID to mask
    `message` - the text to display in a centered loading message box
    `messageCls` - the CSS class to apply to the loading message element (defaults to "x-mask-loading").
    `removeMask` - true to create a single-use mask that is automatically destroyed after loading (useful for page loads), false to persist the mask element reference for multiple uses (e.g., for paged data widgets).

### LoadMask

    public LoadMask(java.lang.String id,
                    java.lang.String message,
                    java.lang.String messageCls,
                    boolean removeMask,
                    Store store)

  Create a new LoadMask.

  Parameters:
    `id` - the element ID to mask
    `message` - the text to display in a centered loading message box
    `messageCls` - the CSS class to apply to the loading message element (defaults to "x-mask-loading").
    `removeMask` - true to create a single-use mask that is automatically destroyed after loading (useful for page loads), false to persist the mask element reference for multiple uses (e.g., for paged data widgets).
    `store` - the store to which the mask is bound. The mask is displayed when a load request is issued, and hidden on either load sucess, or load fail.

Method Detail

### disable

    public void disable()

  Disables the mask to prevent it from being displayed.

### enable

    public void enable()

  Enables the mask so that it can be displayed.

### show

    public void show()

  Show this LoadMask over the configured Element.

### hide

    public void hide()

  Hide this LoadMask.

### isDisabled

    public boolean isDisabled()

  True if the mask is currently disabled so that it will not be displayed (defaults to false)

  Returns:
    true if mask disabled

### getMessage

    public java.lang.String getMessage()

  The text to display in a centered loading message box (defaults to 'Loading...').

  Returns:
    the messsage text

### getMessageCls

    public java.lang.String getMessageCls()

  The CSS class to apply to the loading message element (defaults to "x-mask-loading").

  Returns:
    the message CSS class

### isRemoveMask

    public boolean isRemoveMask()

  True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to persist the mask element reference for multiple uses (e.g., for paged data widgets). Defaults to false.

  Returns:
    true to create a single-use mask

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD